Package javax.portlet

## Enum PortletRequest.P3PUserInfos

- java.lang.Object
- - java.lang.Enum<PortletRequest.P3PUserInfos>
  - - javax.portlet.PortletRequest.P3PUserInfos

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PortletRequest.P3PUserInfos>`

Enclosing interface:
  PortletRequest

    public static enum PortletRequest.P3PUserInfos
    extends java.lang.Enum<PortletRequest.P3PUserInfos>

P3P user information constants.

Note: these are only available in the Java SE 5.0 supported version of the API.

Since:
  2.0

### Enum Constant Summary

Enum Constants
`USER_BDATE_FRACTIONSECOND`
`USER_BDATE_HMS_HOUR`
`USER_BDATE_HMS_MINUTE`
`USER_BDATE_HMS_SECOND`
`USER_BDATE_TIMEZONE`
`USER_BDATE_YMD_DAY`
`USER_BDATE_YMD_MONTH`
`USER_BDATE_YMD_YEAR`
`USER_BUSINESSINFO_ONLINE_EMAIL`
`USER_BUSINESSINFO_ONLINE_URI`
`USER_BUSINESSINFO_POSTAL_CITY`
`USER_BUSINESSINFO_POSTAL_COUNTRY`
`USER_BUSINESSINFO_POSTAL_NAME`
`USER_BUSINESSINFO_POSTAL_ORGANIZATION`
`USER_BUSINESSINFO_POSTAL_POSTALCODE`
`USER_BUSINESSINFO_POSTAL_STATEPROV`
`USER_BUSINESSINFO_POSTAL_STREET`
`USER_BUSINESSINFO_TELECOM_FAX_COMMENT`
`USER_BUSINESSINFO_TELECOM_FAX_EXT`
`USER_BUSINESSINFO_TELECOM_FAX_INTCODE`
`USER_BUSINESSINFO_TELECOM_FAX_LOCCODE`
`USER_BUSINESSINFO_TELECOM_FAX_NUMBER`
`USER_BUSINESSINFO_TELECOM_MOBILE_COMMENT`
`USER_BUSINESSINFO_TELECOM_MOBILE_EXT`
`USER_BUSINESSINFO_TELECOM_MOBILE_INTCODE`
`USER_BUSINESSINFO_TELECOM_MOBILE_LOCCODE`
`USER_BUSINESSINFO_TELECOM_MOBILE_NUMBER`
`USER_BUSINESSINFO_TELECOM_PAGER_COMMENT`
`USER_BUSINESSINFO_TELECOM_PAGER_EXT`
`USER_BUSINESSINFO_TELECOM_PAGER_INTCODE`
`USER_BUSINESSINFO_TELECOM_PAGER_LOCCODE`
`USER_BUSINESSINFO_TELECOM_PAGER_NUMBER`
`USER_BUSINESSINFO_TELECOM_TELEPHONE_COMMENT`
`USER_BUSINESSINFO_TELECOM_TELEPHONE_EXT`
`USER_BUSINESSINFO_TELECOM_TELEPHONE_INTCODE`
`USER_BUSINESSINFO_TELECOM_TELEPHONE_LOCCODE`
`USER_BUSINESSINFO_TELECOM_TELEPHONE_NUMBER`
`USER_DEPARTMENT`
`USER_EMPLOYER`
`USER_GENDER`
`USER_HOMEINFO_ONLINE_EMAIL`
`USER_HOMEINFO_ONLINE_URI`
`USER_HOMEINFO_POSTAL_CITY`
`USER_HOMEINFO_POSTAL_COUNTRY`
`USER_HOMEINFO_POSTAL_NAME`
`USER_HOMEINFO_POSTAL_ORGANIZATION`
`USER_HOMEINFO_POSTAL_POSTALCODE`
`USER_HOMEINFO_POSTAL_STATEPROV`
`USER_HOMEINFO_POSTAL_STREET`
`USER_HOMEINFO_TELECOM_FAX_COMMENT`
`USER_HOMEINFO_TELECOM_FAX_EXT`
`USER_HOMEINFO_TELECOM_FAX_INTCODE`
`USER_HOMEINFO_TELECOM_FAX_LOCCODE`
`USER_HOMEINFO_TELECOM_FAX_NUMBER`
`USER_HOMEINFO_TELECOM_MOBILE_COMMENT`
`USER_HOMEINFO_TELECOM_MOBILE_EXT`
`USER_HOMEINFO_TELECOM_MOBILE_INTCODE`
`USER_HOMEINFO_TELECOM_MOBILE_LOCCODE`
`USER_HOMEINFO_TELECOM_MOBILE_NUMBER`
`USER_HOMEINFO_TELECOM_PAGER_COMMENT`
`USER_HOMEINFO_TELECOM_PAGER_EXT`
`USER_HOMEINFO_TELECOM_PAGER_INTCODE`
`USER_HOMEINFO_TELECOM_PAGER_LOCCODE`
`USER_HOMEINFO_TELECOM_PAGER_NUMBER`
`USER_HOMEINFO_TELECOM_TELEPHONE_COMMENT`
`USER_HOMEINFO_TELECOM_TELEPHONE_EXT`
`USER_HOMEINFO_TELECOM_TELEPHONE_INTCODE`
`USER_HOMEINFO_TELECOM_TELEPHONE_LOCCODE`
`USER_HOMEINFO_TELECOM_TELEPHONE_NUMBER`
`USER_JOBTITLE`
`USER_LOGIN_ID`
`USER_NAME_FAMILY`
`USER_NAME_GIVEN`
`USER_NAME_MIDDLE`
`USER_NAME_NICKNAME`
`USER_NAME_PREFIX`
`USER_NAME_SUFFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static PortletRequest.P3PUserInfos` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PortletRequest.P3PUserInfos[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER_BDATE_YMD_YEAR

    public static final PortletRequest.P3PUserInfos USER_BDATE_YMD_YEAR

#### USER_BDATE_YMD_MONTH

    public static final PortletRequest.P3PUserInfos USER_BDATE_YMD_MONTH

#### USER_BDATE_YMD_DAY

    public static final PortletRequest.P3PUserInfos USER_BDATE_YMD_DAY

#### USER_BDATE_HMS_HOUR

    public static final PortletRequest.P3PUserInfos USER_BDATE_HMS_HOUR

#### USER_BDATE_HMS_MINUTE

    public static final PortletRequest.P3PUserInfos USER_BDATE_HMS_MINUTE

#### USER_BDATE_HMS_SECOND

    public static final PortletRequest.P3PUserInfos USER_BDATE_HMS_SECOND

#### USER_BDATE_FRACTIONSECOND

    public static final PortletRequest.P3PUserInfos USER_BDATE_FRACTIONSECOND

#### USER_BDATE_TIMEZONE

    public static final PortletRequest.P3PUserInfos USER_BDATE_TIMEZONE

#### USER_GENDER

    public static final PortletRequest.P3PUserInfos USER_GENDER

#### USER_EMPLOYER

    public static final PortletRequest.P3PUserInfos USER_EMPLOYER

#### USER_DEPARTMENT

    public static final PortletRequest.P3PUserInfos USER_DEPARTMENT

#### USER_JOBTITLE

    public static final PortletRequest.P3PUserInfos USER_JOBTITLE

#### USER_NAME_PREFIX

    public static final PortletRequest.P3PUserInfos USER_NAME_PREFIX

#### USER_NAME_GIVEN

    public static final PortletRequest.P3PUserInfos USER_NAME_GIVEN

#### USER_NAME_FAMILY

    public static final PortletRequest.P3PUserInfos USER_NAME_FAMILY

#### USER_NAME_MIDDLE

    public static final PortletRequest.P3PUserInfos USER_NAME_MIDDLE

#### USER_NAME_SUFFIX

    public static final PortletRequest.P3PUserInfos USER_NAME_SUFFIX

#### USER_NAME_NICKNAME

    public static final PortletRequest.P3PUserInfos USER_NAME_NICKNAME

#### USER_LOGIN_ID

    public static final PortletRequest.P3PUserInfos USER_LOGIN_ID

#### USER_HOMEINFO_POSTAL_NAME

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_NAME

#### USER_HOMEINFO_POSTAL_STREET

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_STREET

#### USER_HOMEINFO_POSTAL_CITY

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_CITY

#### USER_HOMEINFO_POSTAL_STATEPROV

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_STATEPROV

#### USER_HOMEINFO_POSTAL_POSTALCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_POSTALCODE

#### USER_HOMEINFO_POSTAL_COUNTRY

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_COUNTRY

#### USER_HOMEINFO_POSTAL_ORGANIZATION

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_POSTAL_ORGANIZATION

#### USER_HOMEINFO_TELECOM_TELEPHONE_INTCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_TELEPHONE_INTCODE

#### USER_HOMEINFO_TELECOM_TELEPHONE_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_TELEPHONE_LOCCODE

#### USER_HOMEINFO_TELECOM_TELEPHONE_NUMBER

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_TELEPHONE_NUMBER

#### USER_HOMEINFO_TELECOM_TELEPHONE_EXT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_TELEPHONE_EXT

#### USER_HOMEINFO_TELECOM_TELEPHONE_COMMENT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_TELEPHONE_COMMENT

#### USER_HOMEINFO_TELECOM_FAX_INTCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_FAX_INTCODE

#### USER_HOMEINFO_TELECOM_FAX_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_FAX_LOCCODE

#### USER_HOMEINFO_TELECOM_FAX_NUMBER

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_FAX_NUMBER

#### USER_HOMEINFO_TELECOM_FAX_EXT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_FAX_EXT

#### USER_HOMEINFO_TELECOM_FAX_COMMENT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_FAX_COMMENT

#### USER_HOMEINFO_TELECOM_MOBILE_INTCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_MOBILE_INTCODE

#### USER_HOMEINFO_TELECOM_MOBILE_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_MOBILE_LOCCODE

#### USER_HOMEINFO_TELECOM_MOBILE_NUMBER

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_MOBILE_NUMBER

#### USER_HOMEINFO_TELECOM_MOBILE_EXT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_MOBILE_EXT

#### USER_HOMEINFO_TELECOM_MOBILE_COMMENT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_MOBILE_COMMENT

#### USER_HOMEINFO_TELECOM_PAGER_INTCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_PAGER_INTCODE

#### USER_HOMEINFO_TELECOM_PAGER_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_PAGER_LOCCODE

#### USER_HOMEINFO_TELECOM_PAGER_NUMBER

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_PAGER_NUMBER

#### USER_HOMEINFO_TELECOM_PAGER_EXT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_PAGER_EXT

#### USER_HOMEINFO_TELECOM_PAGER_COMMENT

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_TELECOM_PAGER_COMMENT

#### USER_HOMEINFO_ONLINE_EMAIL

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_ONLINE_EMAIL

#### USER_HOMEINFO_ONLINE_URI

    public static final PortletRequest.P3PUserInfos USER_HOMEINFO_ONLINE_URI

#### USER_BUSINESSINFO_POSTAL_NAME

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_NAME

#### USER_BUSINESSINFO_POSTAL_STREET

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_STREET

#### USER_BUSINESSINFO_POSTAL_CITY

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_CITY

#### USER_BUSINESSINFO_POSTAL_STATEPROV

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_STATEPROV

#### USER_BUSINESSINFO_POSTAL_POSTALCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_POSTALCODE

#### USER_BUSINESSINFO_POSTAL_COUNTRY

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_COUNTRY

#### USER_BUSINESSINFO_POSTAL_ORGANIZATION

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_POSTAL_ORGANIZATION

#### USER_BUSINESSINFO_TELECOM_TELEPHONE_INTCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_TELEPHONE_INTCODE

#### USER_BUSINESSINFO_TELECOM_TELEPHONE_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_TELEPHONE_LOCCODE

#### USER_BUSINESSINFO_TELECOM_TELEPHONE_NUMBER

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_TELEPHONE_NUMBER

#### USER_BUSINESSINFO_TELECOM_TELEPHONE_EXT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_TELEPHONE_EXT

#### USER_BUSINESSINFO_TELECOM_TELEPHONE_COMMENT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_TELEPHONE_COMMENT

#### USER_BUSINESSINFO_TELECOM_FAX_INTCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_FAX_INTCODE

#### USER_BUSINESSINFO_TELECOM_FAX_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_FAX_LOCCODE

#### USER_BUSINESSINFO_TELECOM_FAX_NUMBER

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_FAX_NUMBER

#### USER_BUSINESSINFO_TELECOM_FAX_EXT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_FAX_EXT

#### USER_BUSINESSINFO_TELECOM_FAX_COMMENT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_FAX_COMMENT

#### USER_BUSINESSINFO_TELECOM_MOBILE_INTCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_MOBILE_INTCODE

#### USER_BUSINESSINFO_TELECOM_MOBILE_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_MOBILE_LOCCODE

#### USER_BUSINESSINFO_TELECOM_MOBILE_NUMBER

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_MOBILE_NUMBER

#### USER_BUSINESSINFO_TELECOM_MOBILE_EXT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_MOBILE_EXT

#### USER_BUSINESSINFO_TELECOM_MOBILE_COMMENT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_MOBILE_COMMENT

#### USER_BUSINESSINFO_TELECOM_PAGER_INTCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_PAGER_INTCODE

#### USER_BUSINESSINFO_TELECOM_PAGER_LOCCODE

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_PAGER_LOCCODE

#### USER_BUSINESSINFO_TELECOM_PAGER_NUMBER

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_PAGER_NUMBER

#### USER_BUSINESSINFO_TELECOM_PAGER_EXT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_PAGER_EXT

#### USER_BUSINESSINFO_TELECOM_PAGER_COMMENT

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_TELECOM_PAGER_COMMENT

#### USER_BUSINESSINFO_ONLINE_EMAIL

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_ONLINE_EMAIL

#### USER_BUSINESSINFO_ONLINE_URI

    public static final PortletRequest.P3PUserInfos USER_BUSINESSINFO_ONLINE_URI

### Method Detail

#### values

    public static PortletRequest.P3PUserInfos[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PortletRequest.P3PUserInfos c : PortletRequest.P3PUserInfos.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PortletRequest.P3PUserInfos valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<PortletRequest.P3PUserInfos>`